﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="PasswordRecovery.aspx.cs"
    Inherits="MPS.UI.PasswordRecovery" Title="Recover Password" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblHeading" Text="Recover Your Password" NavigateUrl="#" runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblViews" Text="If you forgot your password, you can use this page to have it sent to you by e-mail." /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle">
        <asp:PasswordRecovery ID="PasswordRecovery1" runat="server" OnSendingMail="PasswordRecovery1_SendingMail">
            <UserNameTemplate>
                <label>
                    Step 1: enter your username</label>
                <p>
                </p>
                <table cellpadding="2">
                    <tr>
                        <td style="width: 80px;">
                            <asp:Label runat="server" ID="lblUsername" AssociatedControlID="UserName" Text="Username:" />
                        </td>
                        <td style="width: 300px;">
                            <asp:TextBox ID="UserName" runat="server" Width="100%"></asp:TextBox>
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="valRequireUserName" runat="server" ControlToValidate="UserName"
                                SetFocusOnError="true" Display="Dynamic" ErrorMessage="Username is required."
                                ToolTip="Username is required." ValidationGroup="PasswordRecovery1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <td colspan="3" style="text-align: right;">
                        <asp:Label ID="FailureText" runat="server" SkinID="FeedbackKO" EnableViewState="False" />
                        <asp:Button ID="SubmitButton" runat="server" CommandName="Submit" Text="Submit" ValidationGroup="PasswordRecovery1" />
                    </td>
                </table>
            </UserNameTemplate>
            <QuestionTemplate>
                <label id="headers">
                    Step 2: answer the following question</label>
                <p>
                </p>
                <table cellpadding="2">
                    <tr>
                        <td style="width: 80px;" class="fieldname">
                            Username:
                        </td>
                        <td style="width: 300px;">
                            <asp:Literal ID="UserName" runat="server"></asp:Literal>
                        </td>
                        <td>
                        </td>
                    </tr>
                    <tr>
                        <td class="fieldname">
                            <asp:Label runat="server" ID="lblQuestion" AssociatedControlID="Question" Text="Question:" />
                        </td>
                        <td>
                            <asp:Literal ID="Question" runat="server"></asp:Literal>
                        </td>
                        <td>
                        </td>
                    </tr>
                    <tr>
                        <td >
                            <asp:Label runat="server" ID="lblAnswer" AssociatedControlID="Answer" Text="Answer:" />
                        </td>
                        <td>
                            <asp:TextBox ID="Answer" runat="server" Width="100%"></asp:TextBox>
                        </td>
                        <td>
                            <asp:RequiredFieldValidator ID="valRequireAnswer" runat="server" ControlToValidate="Answer"
                                SetFocusOnError="true" Display="Dynamic" ErrorMessage="Answer is required." ToolTip="Answer is required."
                                ValidationGroup="PasswordRecovery1">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3" style="text-align: right;">
                            <asp:Label ID="FailureText" runat="server" SkinID="FeedbackKO" EnableViewState="False" />
                            <asp:Button ID="SubmitButton" runat="server" CommandName="Submit" Text="Submit" ValidationGroup="PasswordRecovery1" />
                        </td>
                    </tr>
                </table>
            </QuestionTemplate>
            <SuccessTemplate>
                <asp:Label runat="server" ID="lblSuccess" SkinID="FeedbackOK" Text="Your password has been sent to you." />
            </SuccessTemplate>
            <MailDefinition BodyFileName="~/PasswordRecoveryMail.txt" From="yourmailid"
                Subject="Vinay's Personal Site: Your password">
            </MailDefinition>
        </asp:PasswordRecovery>
    </div>
</asp:Content>
